
Foreman - Bug #18720

Usergroup members are being removed after running `/usr/sbin/foreman-rake db:sessions:clear`

02/28/2017 07:01 AM - Mateusz Gozdek

Status: New   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.14.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have following problem. All my users are authorised externally. When I add user to the group, it correctly appears in both

usergroup_members and cached_usergroup_members tables. However if I add user to the group and then run

/usr/sbin/foreman-rake db:sessions:clear, created entries are being removed on next user authorisation. User entry stays untouched.

I tried to find, what can be the cause, but no luck so far.

The problem is, that /usr/sbin/foreman-rake db:sessions:clear is a cronjob which is running every 24h, so every changes I do during

the day are gone on the next day.

Environment:

OS: Ubuntu 16.04.2 LTS

DB backend: PostgreSQL 9.6.2

History

#1 - 02/28/2017 07:03 AM - Anonymous

- Project changed from Smart Proxy to Foreman

- Category set to 218

#2 - 07/15/2020 01:23 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions
